{
  stdenv
, lib, fetchFromGitLab
, cmake, extra-cmake-modules, pkg-config
, qtbase, qtx11extras, wrapQtAppsHook
, kpipewire, plasma-framework
, xorg
}:

stdenv.mkDerivation rec {
  pname = "xwaylandvideobridge";
  version = "5.27.3";

  src = fetchFromGitLab {
    owner = "davidedmundson";
    repo = "xwaylandvideobridge";
    rev = "b876b5f3ee5cc810c99b08e8f0ebb29553e45e47";
    domain = "invent.kde.org";
    sha256 = "sha256-gfQkOIZegxdFQ9IV2Qp/lLRtfI5/g6bDD3XRBdLh4q0=";
  };

  buildInputs = [ qtbase qtx11extras plasma-framework xorg.xcbproto kpipewire cmake pkg-config ];
  nativeBuildInputs = [ wrapQtAppsHook extra-cmake-modules ]; 
}
