{
  lib,
  fetchFromGitHub,
  python3, xorg
}:

python3.pkgs.buildPythonPackage rec {
  pname = "razer-cli";
  version = "2.1.0";

  src = fetchFromGitHub {
    owner = "LoLei";
    repo = "razer-cli";
    rev = "v${version}";
    sha256 = "0vcyssswsw7gzk2xlpvcqc9fgvwxzyivsqmw5r9b391dv3wpr1y7";
  };

  doCheck = false;
  
  buildInputs = [ xorg.xrdb ];
  propagatedBuildInputs = with python3.pkgs; [ setuptools openrazer ];
}
